package com.zcloud.primeport.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.primeport.domain.gateway.MkmjPassageGateway;
import com.zcloud.primeport.domain.model.MkmjPassageE;
import com.zcloud.primeport.dto.MkmjPassageAddCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:19
 */
@Component
@AllArgsConstructor
public class MkmjPassageAddExe {
    private final MkmjPassageGateway mkmjPassageGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(MkmjPassageAddCmd cmd) {
        MkmjPassageE examTypeE = new MkmjPassageE();
        BeanUtils.copyProperties(cmd, examTypeE);
        boolean res = false;
        try {
            res = mkmjPassageGateway.add(examTypeE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

